English

FAQ: Can I install ArcLogistics 9.3 with ArcGIS 10?

Question

Can I install ArcLogistics 9.3 with ArcGIS 10?

Answer

No, ArcLogistics 9.3 cannot be installed with any ArcGIS 10 Desktop, Engine, or Server products.

ArcLogistics 9.3 is built on ArcGIS 9.3 core Engine files. This means it is only compatible with ArcGIS/Engine/Server versions 9.3 or 9.3.1. It does not install or function correctly with any version of ArcGIS 9.4 beta builds, 10 Pre-Release, or 10 Final. At this time it is not possible to run ArcGIS 10 and ArcLogistics 9.3 on the same machine.


Note:
With the latest release of ArcLogistics (common terms for this version include ArcLogistics 10, ArcLogistics Connect, the Web version, or SaaS version), there are no dependencies on ArcGIS core Engine files. For this reason, it can be installed alongside any version of ArcGIS (9.3, 9.3.1, 10) as well as ArcLogistics 9.3. It is completely independent. Those users who have migrated to ArcGIS 10 are encouraged to use this new version and see if it meets their needs.

As of the first release (Version 10.0.71.0), the following features are not yet available in the new product. Users who need this functionality must use ArcLogistics 9.3 until these features are added to ArcLogistics 10.

-Paired orders
-SDK for plug-in development and customization

As of Service Pack 2, the existing 9.3 Engine files will be upgraded to version 9.3.1 Service Pack 1. Ensure that all data is backed up and realize that installing ArcLogistics 9.3 Service Pack 2 effectively upgrades the version of ArcGIS to 9.3.1 Service Pack 1.

While the core Engine files are updated to 9.3.1 Service Pack 1, the patch is still being referred to as ArcLogistics 9.3 Service Pack 2.

Related Information